curl --request PATCH \
--url https://api-sb.meld.io/accounts/customers/{customerId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"dateOfBirth": "<string>",
"email": "jsmith@example.com",
"externalCustomerId": "<string>",
"name": {
"firstName": "<string>",
"lastName": "<string>"
},
"phone": "<string>",
"status": "<string>"
}
'import requests
url = "https://api-sb.meld.io/accounts/customers/{customerId}"
payload = {
"dateOfBirth": "<string>",
"email": "jsmith@example.com",
"externalCustomerId": "<string>",
"name": {
"firstName": "<string>",
"lastName": "<string>"
},
"phone": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dateOfBirth: '<string>',
email: 'jsmith@example.com',
externalCustomerId: '<string>',
name: {firstName: '<string>', lastName: '<string>'},
phone: '<string>',
status: '<string>'
})
};
fetch('https://api-sb.meld.io/accounts/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountId": "<string>",
"addresses": [
{
"addressDetails": {
"city": "<string>",
"country": "<string>",
"lineOne": "<string>",
"lineTwo": "<string>",
"postalCode": "<string>",
"region": "<string>"
},
"customerId": "<string>",
"id": "<string>"
}
],
"dateOfBirth": "<string>",
"email": "<string>",
"externalId": "<string>",
"id": "<string>",
"key": "<string>",
"name": {
"firstName": "<string>",
"lastName": "<string>"
},
"phone": "<string>",
"previouslyUsedOnramps": [
{
"previouslyUsed": "2023-11-07T05:31:56Z"
}
],
"serviceProviderCustomers": [
{
"createdAt": "2023-11-07T05:31:56Z",
"customerId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"kyc": {
"additionalInfo": {},
"onboardingMethod": {
"kycProvider": "<string>",
"onboardingType": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
},
"serviceProviderAccessProfileId": "<string>",
"serviceProviderDetails": {
"type": "<string>",
"customerType": "<string>"
},
"status": "<string>",
"wallets": [
"<string>"
]
}
]
}""Update a customer
Authorizations
Path Parameters
Customer id
Body
Customer's date of birth in ISO format (yyyy-MM-dd)
^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])$Customer's email
Customer's external id
Customer's name
Show child attributes
Show child attributes
Customer's phone number
Response
Customer is updated
The unique identifier of your account with Meld. This id will be the same for all calls to Meld endpoints made from this account.
List of customer addresses
Show child attributes
Show child attributes
Customer's date of birth in ISO format (yyyy-MM-dd)
Customer email
Externally assigned id for the customer
Unique identifier for this customer
When this customer is part of a paginated list, this key represents its position in the list.
Customer name
Show child attributes
Show child attributes
Customer phone
Onramps the customer has successfully transacted on, with the timestamp of the most recent successful transaction for each. Empty if the customer has no prior successful onramp transactions.
Show child attributes
Show child attributes
List of customers created with service providers.
Show child attributes
Show child attributes
Customer status
ACTIVE, INACTIVE Customer type
INDIVIDUAL, BUSINESS